export enum EEnvKey {
  NODE_ENV = 'NODE_ENV',
  PORT = 'PORT',
  PORT_CRAWLER = 'PORT_CRAWLER',
  GLOBAL_PREFIX = 'GLOBAL_PREFIX',
  IS_WRITE_LOG = 'IS_WRITE_LOG',

  // Database
  DB_TYPE = 'DB_TYPE',
  DB_HOST = 'DB_HOST',
  DB_PORT = 'DB_PORT',
  DB_USER = 'DB_USER',
  DB_PASSWORD = 'DB_PASSWORD',
  DB_DATABASE = 'DB_DATABASE',
  DB_MAX_QUERY_EXECUTION_TIME = 'DB_MAX_QUERY_EXECUTION_TIME',

  LOG_LEVEL = 'LOG_LEVEL',
  LOG_COLOR = 'LOG_COLOR',
  REDIS_URL = 'REDIS_URL',
  BASIC_AUTH_PASSWORD = 'BASIC_AUTH_PASSWORD',
  SENTRY_DSN = 'SENTRY_DSN',
  SENTRY_DSN_IS_ENABLE = 'SENTRY_DSN_IS_ENABLE',
  IS_RUN_API = 'IS_RUN_API',
}
